CVE-2017-11641

HIGH

Description

GraphicsMagick 1.3.26 has a Memory Leak in the PersistCache function in magick/pixel_cache.c during writing of Magick Persistent Cache (MPC) files.

References

http://hg.code.sf.net/p/graphicsmagick/code/rev/db732abd9318

https://lists.debian.org/debian-lts-announce/2018/08/msg00002.html

https://www.debian.org/security/2018/dsa-4321

Details

Source: MITRE

Published: 2017-07-26

Updated: 2019-10-03

Type: CWE-772

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL